UNEXPAND(1)

NAME
unexpand - convert spaces to tabs

SYNOPSIS
unexpand [-a] [-t tablist | -tablist] [file ...]

DESCRIPTION
The unexpand utility converts multiple space characters found at the beginning of each line of its input files (or of standard input if no file argument is present) to tabulators if appropriate and writes the result to standard output. The input is ordered in columns according to the width of characters; a backspace character causes the column to be decremented. By default, a tabulator stop is assumed at every eight positions.

The following options alter the behavior of unexpand:

-a  Causes conversion also to apply to sequences of two or more spaces found after the first character on each line other than a space.

-t tablist
    Specify the positions of tabulator stops. If tablist is a single number, a tabulator stop is assumed at every tablist positions. If tablist is a list of numbers in strictly ascending order separated by commas or blanks, a tabulator stop is assumed at each numbered position. For column positions beyond the last tabulator stop, each tabulator character is converted to a single space character. Implies -a. This option was introduced by POSIX.2.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_CTYPE
    Specifies the mapping of bytes to characters and the width of characters.

SEE ALSO
expand(1), tabs(1)